# Type Alias FileCfg

type FileCfg = {
filename: string;
id?: number;
isDirectory?: boolean;
location: string;
mime_sub: string;
mime_super: string;
min_role_read: number;
s3_store?: boolean;
size_kb: number;
uploaded_at: string | number | Date;
user_id?: number;
}

- Defined in packages/saltcorn-data/models/file.ts:1146

##### Index

### Properties

filename
id?
isDirectory?
location
mime_sub
mime_super
min_role_read
s3_store?
size_kb
uploaded_at
user_id?

## Properties

### filename

filename: string

- Defined in packages/saltcorn-data/models/file.ts:1147

### `Optional` id

id?: number

- Defined in packages/saltcorn-data/models/file.ts:1151

### `Optional` isDirectory

isDirectory?: boolean

- Defined in packages/saltcorn-data/models/file.ts:1157

### location

location: string

- Defined in packages/saltcorn-data/models/file.ts:1148

### mime_sub

mime_sub: string

- Defined in packages/saltcorn-data/models/file.ts:1154

### mime_super

mime_super: string

- Defined in packages/saltcorn-data/models/file.ts:1153

### min_role_read

min_role_read: number

- Defined in packages/saltcorn-data/models/file.ts:1155

### `Optional` s3_store

s3_store?: boolean

- Defined in packages/saltcorn-data/models/file.ts:1156

### size_kb

size_kb: number

- Defined in packages/saltcorn-data/models/file.ts:1150

### uploaded_at

uploaded_at: string | number | Date

- Defined in packages/saltcorn-data/models/file.ts:1149

### `Optional` user_id

user_id?: number

- Defined in packages/saltcorn-data/models/file.ts:1152